=== debian/changelog ===
python-imagehash (4.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1129539)
  * Add patch drop-data-files-and-scripts-from-setup-py.diff to avoid
    installing helper script find_similar_images.py and test data images.

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 02 Mar 2026 17:27:10 +0000
