=== debian/control ===
Source: python-imagehash
Section: python
Maintainer: Francesco Ballarin <ballarin@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-numpy,
 python3-pillow,
 python3-pytest <!nocheck>,
 python3-pywt,
 python3-scipy,
 python3-setuptools,
 python3-six <!nocheck>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.3
Homepage: https://github.com/JohannesBuchner/imagehash
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-imagehash
Vcs-Git: https://salsa.debian.org/python-team/packages/python-imagehash.git

Package: python3-imagehash
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Image hashing library written in Python (Python 3)
 Image hashes tell whether two images look nearly identical. This is different
 from cryptographic hashing algorithms (like MD5, SHA-1) where tiny changes in
 the image give completely different hashes. In image fingerprinting, we
 actually want our similar inputs to have similar output hashes as well.
 .
 The image hash algorithms (average, perceptual, difference, wavelet) analyse
 the image structure on luminance (without color information). The color hash
 algorithm analyses the color distribution and black & gray fractions (without
 position information).
 .
 This package installs the library for Python 3.
