=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=imagehash
export PYBUILD_TEST_ARGS="--ignore=tests/test_readme.py"

%:
	dh $@ --buildsystem=pybuild
