=== debian/watch ===
Version: 5
Template: GitHub
Owner: JohannesBuchner
Project: imagehash
